*** /Users/chet/src/bash/bash-5.2-patched/y.tab.c	2022-12-13 12:09:02.000000000 -0500
--- y.tab.c	2023-11-08 14:38:01.000000000 -0500
***************
*** 2456,2464 ****
  			  (yyval.redirect) = make_redirection (source, r_close_this, redir, 0);
  			}
! #line 2459 "y.tab.c"
      break;
  
!   case 51: /* redirection: REDIR_WORD LESS_AND '-'  */
! #line 724 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.filename = (yyvsp[-2].word);
--- 2475,2483 ----
  			  (yyval.redirect) = make_redirection (source, r_close_this, redir, 0);
  			}
! #line 2478 "y.tab.c"
      break;
  
!   case 52: /* redirection: REDIR_WORD LESS_AND '-'  */
! #line 739 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.filename = (yyvsp[-2].word);
***************
*** 2466,2474 ****
  			  (yyval.redirect) = make_redirection (source, r_close_this, redir, REDIR_VARASSIGN);
  			}
! #line 2469 "y.tab.c"
      break;
  
!   case 52: /* redirection: AND_GREATER WORD  */
! #line 730 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = 1;
--- 2485,2493 ----
  			  (yyval.redirect) = make_redirection (source, r_close_this, redir, REDIR_VARASSIGN);
  			}
! #line 2488 "y.tab.c"
      break;
  
!   case 53: /* redirection: AND_GREATER WORD  */
! #line 745 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = 1;
***************
*** 2476,2484 ****
  			  (yyval.redirect) = make_redirection (source, r_err_and_out, redir, 0);
  			}
! #line 2479 "y.tab.c"
      break;
  
!   case 53: /* redirection: AND_GREATER_GREATER WORD  */
! #line 736 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = 1;
--- 2495,2503 ----
  			  (yyval.redirect) = make_redirection (source, r_err_and_out, redir, 0);
  			}
! #line 2498 "y.tab.c"
      break;
  
!   case 54: /* redirection: AND_GREATER_GREATER WORD  */
! #line 751 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = 1;
***************
*** 2486,2520 ****
  			  (yyval.redirect) = make_redirection (source, r_append_err_and_out, redir, 0);
  			}
! #line 2489 "y.tab.c"
      break;
  
!   case 54: /* simple_command_element: WORD  */
! #line 744 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.element).word = (yyvsp[0].word); (yyval.element).redirect = 0; }
! #line 2495 "y.tab.c"
      break;
  
!   case 55: /* simple_command_element: ASSIGNMENT_WORD  */
! #line 746 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.element).word = (yyvsp[0].word); (yyval.element).redirect = 0; }
! #line 2501 "y.tab.c"
      break;
  
!   case 56: /* simple_command_element: redirection  */
! #line 748 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.element).redirect = (yyvsp[0].redirect); (yyval.element).word = 0; }
! #line 2507 "y.tab.c"
      break;
  
!   case 57: /* redirection_list: redirection  */
! #line 752 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.redirect) = (yyvsp[0].redirect);
  			}
! #line 2515 "y.tab.c"
      break;
  
!   case 58: /* redirection_list: redirection_list redirection  */
! #line 756 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  register REDIRECT *t;
--- 2505,2539 ----
  			  (yyval.redirect) = make_redirection (source, r_append_err_and_out, redir, 0);
  			}
! #line 2508 "y.tab.c"
      break;
  
!   case 55: /* simple_command_element: WORD  */
! #line 759 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.element).word = (yyvsp[0].word); (yyval.element).redirect = 0; }
! #line 2514 "y.tab.c"
      break;
  
!   case 56: /* simple_command_element: ASSIGNMENT_WORD  */
! #line 761 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.element).word = (yyvsp[0].word); (yyval.element).redirect = 0; }
! #line 2520 "y.tab.c"
      break;
  
!   case 57: /* simple_command_element: redirection  */
! #line 763 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.element).redirect = (yyvsp[0].redirect); (yyval.element).word = 0; }
! #line 2526 "y.tab.c"
      break;
  
!   case 58: /* redirection_list: redirection  */
! #line 767 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.redirect) = (yyvsp[0].redirect);
  			}
! #line 2534 "y.tab.c"
      break;
  
!   case 59: /* redirection_list: redirection_list redirection  */
! #line 771 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  register REDIRECT *t;
***************
*** 2525,2557 ****
  			  (yyval.redirect) = (yyvsp[-1].redirect);
  			}
! #line 2528 "y.tab.c"
      break;
  
!   case 59: /* simple_command: simple_command_element  */
! #line 767 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = make_simple_command ((yyvsp[0].element), (COMMAND *)NULL); }
! #line 2534 "y.tab.c"
      break;
  
!   case 60: /* simple_command: simple_command simple_command_element  */
! #line 769 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = make_simple_command ((yyvsp[0].element), (yyvsp[-1].command)); }
! #line 2540 "y.tab.c"
      break;
  
!   case 61: /* command: simple_command  */
! #line 773 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = clean_simple_command ((yyvsp[0].command)); }
! #line 2546 "y.tab.c"
      break;
  
!   case 62: /* command: shell_command  */
! #line 775 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[0].command); }
! #line 2552 "y.tab.c"
      break;
  
!   case 63: /* command: shell_command redirection_list  */
! #line 777 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  COMMAND *tc;
--- 2544,2576 ----
  			  (yyval.redirect) = (yyvsp[-1].redirect);
  			}
! #line 2547 "y.tab.c"
      break;
  
!   case 60: /* simple_command: simple_command_element  */
! #line 782 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = make_simple_command ((yyvsp[0].element), (COMMAND *)NULL); }
! #line 2553 "y.tab.c"
      break;
  
!   case 61: /* simple_command: simple_command simple_command_element  */
! #line 784 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = make_simple_command ((yyvsp[0].element), (yyvsp[-1].command)); }
! #line 2559 "y.tab.c"
      break;
  
!   case 62: /* command: simple_command  */
! #line 788 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = clean_simple_command ((yyvsp[0].command)); }
! #line 2565 "y.tab.c"
      break;
  
!   case 63: /* command: shell_command  */
! #line 790 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[0].command); }
! #line 2571 "y.tab.c"
      break;
  
!   case 64: /* command: shell_command redirection_list  */
! #line 792 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  COMMAND *tc;
***************
*** 2569,2727 ****
  			  (yyval.command) = (yyvsp[-1].command);
  			}
! #line 2572 "y.tab.c"
      break;
  
!   case 64: /* command: function_def  */
! #line 793 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[0].command); }
! #line 2578 "y.tab.c"
      break;
  
!   case 65: /* command: coproc  */
! #line 795 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[0].command); }
! #line 2584 "y.tab.c"
      break;
  
!   case 66: /* shell_command: for_command  */
! #line 799 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[0].command); }
! #line 2590 "y.tab.c"
      break;
  
!   case 67: /* shell_command: case_command  */
! #line 801 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[0].command); }
! #line 2596 "y.tab.c"
      break;
  
!   case 68: /* shell_command: WHILE compound_list DO compound_list DONE  */
! #line 803 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = make_while_command ((yyvsp[-3].command), (yyvsp[-1].command)); }
! #line 2602 "y.tab.c"
      break;
  
!   case 69: /* shell_command: UNTIL compound_list DO compound_list DONE  */
! #line 805 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = make_until_command ((yyvsp[-3].command), (yyvsp[-1].command)); }
! #line 2608 "y.tab.c"
      break;
  
!   case 70: /* shell_command: select_command  */
! #line 807 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[0].command); }
! #line 2614 "y.tab.c"
      break;
  
!   case 71: /* shell_command: if_command  */
! #line 809 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[0].command); }
! #line 2620 "y.tab.c"
      break;
  
!   case 72: /* shell_command: subshell  */
! #line 811 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[0].command); }
! #line 2626 "y.tab.c"
      break;
  
!   case 73: /* shell_command: group_command  */
! #line 813 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[0].command); }
! #line 2632 "y.tab.c"
      break;
  
!   case 74: /* shell_command: arith_command  */
! #line 815 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[0].command); }
! #line 2638 "y.tab.c"
      break;
  
!   case 75: /* shell_command: cond_command  */
! #line 817 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[0].command); }
! #line 2644 "y.tab.c"
      break;
  
!   case 76: /* shell_command: arith_for_command  */
! #line 819 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[0].command); }
! #line 2650 "y.tab.c"
      break;
  
!   case 77: /* for_command: FOR WORD newline_list DO compound_list DONE  */
! #line 823 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_for_command ((yyvsp[-4].word), add_string_to_list ("\"$@\"", (WORD_LIST *)NULL), (yyvsp[-1].command), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2659 "y.tab.c"
      break;
  
!   case 78: /* for_command: FOR WORD newline_list '{' compound_list '}'  */
! #line 828 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_for_command ((yyvsp[-4].word), add_string_to_list ("\"$@\"", (WORD_LIST *)NULL), (yyvsp[-1].command), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2668 "y.tab.c"
      break;
  
!   case 79: /* for_command: FOR WORD ';' newline_list DO compound_list DONE  */
! #line 833 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_for_command ((yyvsp[-5].word), add_string_to_list ("\"$@\"", (WORD_LIST *)NULL), (yyvsp[-1].command), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2677 "y.tab.c"
      break;
  
!   case 80: /* for_command: FOR WORD ';' newline_list '{' compound_list '}'  */
! #line 838 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_for_command ((yyvsp[-5].word), add_string_to_list ("\"$@\"", (WORD_LIST *)NULL), (yyvsp[-1].command), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2686 "y.tab.c"
      break;
  
!   case 81: /* for_command: FOR WORD newline_list IN word_list list_terminator newline_list DO compound_list DONE  */
! #line 843 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_for_command ((yyvsp[-8].word), REVERSE_LIST ((yyvsp[-5].word_list), WORD_LIST *), (yyvsp[-1].command), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2695 "y.tab.c"
      break;
  
!   case 82: /* for_command: FOR WORD newline_list IN word_list list_terminator newline_list '{' compound_list '}'  */
! #line 848 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_for_command ((yyvsp[-8].word), REVERSE_LIST ((yyvsp[-5].word_list), WORD_LIST *), (yyvsp[-1].command), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2704 "y.tab.c"
      break;
  
!   case 83: /* for_command: FOR WORD newline_list IN list_terminator newline_list DO compound_list DONE  */
! #line 853 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_for_command ((yyvsp[-7].word), (WORD_LIST *)NULL, (yyvsp[-1].command), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2713 "y.tab.c"
      break;
  
!   case 84: /* for_command: FOR WORD newline_list IN list_terminator newline_list '{' compound_list '}'  */
! #line 858 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_for_command ((yyvsp[-7].word), (WORD_LIST *)NULL, (yyvsp[-1].command), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2722 "y.tab.c"
      break;
  
!   case 85: /* arith_for_command: FOR ARITH_FOR_EXPRS list_terminator newline_list DO compound_list DONE  */
! #line 865 "/usr/local/src/chet/src/bash/src/parse.y"
                                  {
  				  (yyval.command) = make_arith_for_command ((yyvsp[-5].word_list), (yyvsp[-1].command), arith_for_lineno);
--- 2588,2746 ----
  			  (yyval.command) = (yyvsp[-1].command);
  			}
! #line 2591 "y.tab.c"
      break;
  
!   case 65: /* command: function_def  */
! #line 808 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[0].command); }
! #line 2597 "y.tab.c"
      break;
  
!   case 66: /* command: coproc  */
! #line 810 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[0].command); }
! #line 2603 "y.tab.c"
      break;
  
!   case 67: /* shell_command: for_command  */
! #line 814 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[0].command); }
! #line 2609 "y.tab.c"
      break;
  
!   case 68: /* shell_command: case_command  */
! #line 816 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[0].command); }
! #line 2615 "y.tab.c"
      break;
  
!   case 69: /* shell_command: WHILE compound_list DO compound_list DONE  */
! #line 818 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = make_while_command ((yyvsp[-3].command), (yyvsp[-1].command)); }
! #line 2621 "y.tab.c"
      break;
  
!   case 70: /* shell_command: UNTIL compound_list DO compound_list DONE  */
! #line 820 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = make_until_command ((yyvsp[-3].command), (yyvsp[-1].command)); }
! #line 2627 "y.tab.c"
      break;
  
!   case 71: /* shell_command: select_command  */
! #line 822 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[0].command); }
! #line 2633 "y.tab.c"
      break;
  
!   case 72: /* shell_command: if_command  */
! #line 824 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[0].command); }
! #line 2639 "y.tab.c"
      break;
  
!   case 73: /* shell_command: subshell  */
! #line 826 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[0].command); }
! #line 2645 "y.tab.c"
      break;
  
!   case 74: /* shell_command: group_command  */
! #line 828 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[0].command); }
! #line 2651 "y.tab.c"
      break;
  
!   case 75: /* shell_command: arith_command  */
! #line 830 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[0].command); }
! #line 2657 "y.tab.c"
      break;
  
!   case 76: /* shell_command: cond_command  */
! #line 832 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[0].command); }
! #line 2663 "y.tab.c"
      break;
  
!   case 77: /* shell_command: arith_for_command  */
! #line 834 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[0].command); }
! #line 2669 "y.tab.c"
      break;
  
!   case 78: /* for_command: FOR WORD newline_list DO compound_list DONE  */
! #line 838 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_for_command ((yyvsp[-4].word), add_string_to_list ("\"$@\"", (WORD_LIST *)NULL), (yyvsp[-1].command), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2678 "y.tab.c"
      break;
  
!   case 79: /* for_command: FOR WORD newline_list '{' compound_list '}'  */
! #line 843 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_for_command ((yyvsp[-4].word), add_string_to_list ("\"$@\"", (WORD_LIST *)NULL), (yyvsp[-1].command), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2687 "y.tab.c"
      break;
  
!   case 80: /* for_command: FOR WORD ';' newline_list DO compound_list DONE  */
! #line 848 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_for_command ((yyvsp[-5].word), add_string_to_list ("\"$@\"", (WORD_LIST *)NULL), (yyvsp[-1].command), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2696 "y.tab.c"
      break;
  
!   case 81: /* for_command: FOR WORD ';' newline_list '{' compound_list '}'  */
! #line 853 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_for_command ((yyvsp[-5].word), add_string_to_list ("\"$@\"", (WORD_LIST *)NULL), (yyvsp[-1].command), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2705 "y.tab.c"
      break;
  
!   case 82: /* for_command: FOR WORD newline_list IN word_list list_terminator newline_list DO compound_list DONE  */
! #line 858 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_for_command ((yyvsp[-8].word), REVERSE_LIST ((yyvsp[-5].word_list), WORD_LIST *), (yyvsp[-1].command), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2714 "y.tab.c"
      break;
  
!   case 83: /* for_command: FOR WORD newline_list IN word_list list_terminator newline_list '{' compound_list '}'  */
! #line 863 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_for_command ((yyvsp[-8].word), REVERSE_LIST ((yyvsp[-5].word_list), WORD_LIST *), (yyvsp[-1].command), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2723 "y.tab.c"
      break;
  
!   case 84: /* for_command: FOR WORD newline_list IN list_terminator newline_list DO compound_list DONE  */
! #line 868 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_for_command ((yyvsp[-7].word), (WORD_LIST *)NULL, (yyvsp[-1].command), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2732 "y.tab.c"
      break;
  
!   case 85: /* for_command: FOR WORD newline_list IN list_terminator newline_list '{' compound_list '}'  */
! #line 873 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_for_command ((yyvsp[-7].word), (WORD_LIST *)NULL, (yyvsp[-1].command), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2741 "y.tab.c"
      break;
  
!   case 86: /* arith_for_command: FOR ARITH_FOR_EXPRS list_terminator newline_list DO compound_list DONE  */
! #line 880 "/usr/local/src/chet/src/bash/src/parse.y"
                                  {
  				  (yyval.command) = make_arith_for_command ((yyvsp[-5].word_list), (yyvsp[-1].command), arith_for_lineno);
***************
*** 2729,2737 ****
  				  if (word_top > 0) word_top--;
  				}
! #line 2732 "y.tab.c"
      break;
  
!   case 86: /* arith_for_command: FOR ARITH_FOR_EXPRS list_terminator newline_list '{' compound_list '}'  */
! #line 871 "/usr/local/src/chet/src/bash/src/parse.y"
                                  {
  				  (yyval.command) = make_arith_for_command ((yyvsp[-5].word_list), (yyvsp[-1].command), arith_for_lineno);
--- 2748,2756 ----
  				  if (word_top > 0) word_top--;
  				}
! #line 2751 "y.tab.c"
      break;
  
!   case 87: /* arith_for_command: FOR ARITH_FOR_EXPRS list_terminator newline_list '{' compound_list '}'  */
! #line 886 "/usr/local/src/chet/src/bash/src/parse.y"
                                  {
  				  (yyval.command) = make_arith_for_command ((yyvsp[-5].word_list), (yyvsp[-1].command), arith_for_lineno);
***************
*** 2739,2747 ****
  				  if (word_top > 0) word_top--;
  				}
! #line 2742 "y.tab.c"
      break;
  
!   case 87: /* arith_for_command: FOR ARITH_FOR_EXPRS DO compound_list DONE  */
! #line 877 "/usr/local/src/chet/src/bash/src/parse.y"
                                  {
  				  (yyval.command) = make_arith_for_command ((yyvsp[-3].word_list), (yyvsp[-1].command), arith_for_lineno);
--- 2758,2766 ----
  				  if (word_top > 0) word_top--;
  				}
! #line 2761 "y.tab.c"
      break;
  
!   case 88: /* arith_for_command: FOR ARITH_FOR_EXPRS DO compound_list DONE  */
! #line 892 "/usr/local/src/chet/src/bash/src/parse.y"
                                  {
  				  (yyval.command) = make_arith_for_command ((yyvsp[-3].word_list), (yyvsp[-1].command), arith_for_lineno);
***************
*** 2749,2757 ****
  				  if (word_top > 0) word_top--;
  				}
! #line 2752 "y.tab.c"
      break;
  
!   case 88: /* arith_for_command: FOR ARITH_FOR_EXPRS '{' compound_list '}'  */
! #line 883 "/usr/local/src/chet/src/bash/src/parse.y"
                                  {
  				  (yyval.command) = make_arith_for_command ((yyvsp[-3].word_list), (yyvsp[-1].command), arith_for_lineno);
--- 2768,2776 ----
  				  if (word_top > 0) word_top--;
  				}
! #line 2771 "y.tab.c"
      break;
  
!   case 89: /* arith_for_command: FOR ARITH_FOR_EXPRS '{' compound_list '}'  */
! #line 898 "/usr/local/src/chet/src/bash/src/parse.y"
                                  {
  				  (yyval.command) = make_arith_for_command ((yyvsp[-3].word_list), (yyvsp[-1].command), arith_for_lineno);
